Bug 1080332 - yast-iplb does not follow translatability rules
yast-iplb does not follow translatability rules
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: nick wang
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-09 16:08 UTC by Stanislav Brabec
Modified: 2018-02-23 19:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Brabec 2018-02-09 16:08:51 UTC
yast-iplb creates extremely large source strings in its pot file. It significantly complicates translators' work, as each single in the source change makes the whole string fuzzy and unused, and translator may be forced to review the whole string.

Please split the text into more separated strings. To not force translators to start from scratch again, splitting of translated strings is needed as well.

Example:
https://github.com/yast/yast-iplb/blob/953fd2666cad4b9d689060103c85d479bda29133/src/include/iplb/helps.rb#L35
Comment 1 Ancor Gonzalez Sosa 2018-02-09 16:57:06 UTC
Reassigning to the maintainer of yast2-iplb (according to IBS).
Comment 3 nick wang 2018-02-22 07:05:09 UTC
Change to resolved/fixed, since sr is accepted in SLE15 and openSUSE:Factory.
Comment 4 Stanislav Brabec 2018-02-22 16:33:17 UTC
To save existing translation work. I just spent several days in splitting of existing translations. Translations as well as suggestion were successfully processed.

The old source repeated some identical columns in two strings. It forced translators to translate the same text twice. As SUSE Linux Enterprise had its own translation in past, up to 4 translations exists for some strings. It was a big waste of translators work.

Now these 3 translations exist as suggestions, at least until translators will review it.

In case of future change, please keep in mind, that the total amount of translation work in these strings reached ~50000 words. If you will drop or change these helps, all this work will be lost.
Comment 5 nick wang 2018-02-23 02:43:21 UTC
(In reply to Stanislav Brabec from comment #4)
> To save existing translation work. I just spent several days in splitting of
> existing translations. Translations as well as suggestion were successfully
> processed.
> 
> The old source repeated some identical columns in two strings. It forced
> translators to translate the same text twice. As SUSE Linux Enterprise had
> its own translation in past, up to 4 translations exists for some strings.
> It was a big waste of translators work.
> 
> Now these 3 translations exist as suggestions, at least until translators
> will review it.
> 
> In case of future change, please keep in mind, that the total amount of
> translation work in these strings reached ~50000 words. If you will drop or
> change these helps, all this work will be lost.

Thanks Stanislav for the help on translation.

I will keep in mind, i will try my best to shrink the texts as long as it changes in the next time to save the work in future.